Subject: bug#36786: Warn of AMD GPUs unusable with Guix System

From: Ludovic Courtès <[email-masked]>
Date: Fri, 26 Jul 2019 17:56:23 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Fri, Jul 26, 2019 at 01:04:40AM +0200, Ludovic Courtès wrote:
>> What about adding a few words under “Hardware Considerations”?

Oops, I hadn’t seen your patch when I replied.

> While my patch before addresses AMD-specific tweaks in the manual
> under Hardware Considerations, it is not enough if on the *download
> page* Guix is claimed to run on “an i686, x86_64, ARMv7, or AArch64
> machine“ without saying linux-libre *on some hardware, is not
> supported* and referencing the Hardware Considerations section and
> h-node, I think.

Well, ‘Limitations’ and ‘Hardware Considerations’ are the first sections
one see when following ‘Installation Instructions’ at
<http://guix.gnu.org/download/>.  We can always move things one level
higher, but eventually everything ends up at the top level.  :-)

> >From e88ee68c09266e1d09d24ff0d1b6ec6a4708841b Mon Sep 17 00:00:00 2001
> From: Florian Pelz <[email-masked]>
> Date: Wed, 24 Jul 2019 23:02:21 +0200
> Subject: [PATCH] doc: Mention AMD Radeon workaround when TTYs are not redrawn.
> 
> * doc/guix.texi (Hardware Considerations): Describe workaround.

[…]

> +Some hardware requires specific tweaks to work better with Guix System.  The
> +following is an incomplete list of known workarounds:
> +
> +@itemize
> +@item
> +Some @emph{AMD Radeon} graphics cards stop redrawing the virtual console TTYs
> +when booting because of an error with Kernel Mode Setting.  The problem
> +disappears when blacklisting the kernel module for the driver.  To do so, you
> +can add @code{modprobe.blacklist=radeon} to the Linux-libre kernel flags,
> +either for only one boot by pressing the @kbd{e} key in the GRUB bootloader
> +and adding this kernel flag to the end of the @code{linux} command-line, or
> +permanently by changing the @code{kernel-arguments} field in your
> +@code{operating-system} declaration, e.g.:
> +
> +@example
> +(kernel-arguments '("quiet" "modprobe.blacklist=radeon"))
> +@end example
> +@end itemize

I think this doesn’t fit well here: the previous paragraphs are about
RYF, h-node.org, and the more general issue.

Like Ricardo wrote, since this is not Guix-specific, it would be great
if we could link to other resources on this topic.  Are you aware of any
such on-line resource?

If there’s no such thing, then we should definitely add this
information, but perhaps we should move the paragraph a bit higher (next
to Wifi), and possibly turn Wifi into an item of this list.  WDYT?

Thanks,
Ludo’.